Bug 123242 - Clicking on a rpm dont starts system-install-packages
Clicking on a rpm dont starts system-install-packages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-14 15:25 EDT by schiebe
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.14.0-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 17:03:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description schiebe 2004-05-14 15:25:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I like it easy and so it would be very useful when a click on a rpm
will starts system-install-packages and not the "edit file type"
dialog from gnome :)



Version-Release number of selected component (if applicable):
system-config-packages-1.2.14-1

How reproducible:
Always

Steps to Reproduce:
1.Try to install a rpm by clicking on it 
2.
3.
    

Additional info:
Comment 1 Peter van Egdom 2004-06-07 15:36:10 EDT
I think this bug can be considered a dupe of Bugzilla bug 119896.
Comment 2 Jeremy Katz 2004-06-08 14:23:55 EDT
system-config-packages is doing everything (in theory) that needs to
be done for gnome-vfs to notice and run it for rpms, but it's not
working for some reason.

If there's something different that needs doing here, I need to know
what it is...
Comment 3 Se Lee 2004-06-25 01:21:09 EDT
For your information, a manual execution of rpm with switch (ie. rpm
-Uvh rhl-gsg-en-9-3.noarch.rmp) doesn't produce the result I had
expected. 

On above example, a manual execution itself will be successful. It
completes its task (creating and copying files to the location), but
it failed to create the menu item (shortcut) on Menus.
Comment 4 Zack Cerza 2004-06-30 16:25:13 EDT
If I double-click on an RPM I also get the "No Action Associated"
dialog. However, if I right-click on the RPM and go to "Open With" and
then to "An Application" (which is the only item in this list), both
"File Roller" and "Install Packages" appear. Picking "Install
Packages" installs the package as it should. 
If you hit the "Modify" button while "Install Packages" is selected,
you can set that action as the default for RPMs. It seems we just need
to get that association made by default.
Comment 5 Anduin Withers 2004-08-05 12:23:36 EDT
/usr/share/mime-info/gnome-vfs.keys wasn't updated to call system-
install-packages (still calls redhat-install-packages)
Comment 6 Matthew Miller 2005-04-26 12:32:27 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 John Thacker 2006-04-22 17:03:38 EDT
This works in later releases, such as FC5.  As mentioned above, FC2 (and FC3)
are under Fedora Legacy now, and this is not a security issues.  Thus, closing.

Note You need to log in before you can comment on or make changes to this bug.